# Réservation d'articles

**La réservation d'articles est un document flexible permettant d'enregistrer des réservation de créneaux horaires pour un article.**

### Usage

Vous pouvez utiliser le document de réservation d'articles de deux façons:
1. Vous pouvez faire une nouvelle réservation manuellement depuis le bureau.
2. Vous pouvez configurer le document de réservation d'articles pour autoriser vos utilisateurs de site web à réserver un créneau eux-mêmes.


### Pré-requis

#### Paramètres des stocks

Si vous voulez autoriser des invités à sélectionner un créneau disponible sur votre site web, vous devez configurer deux éléments dans la section "Réservation d'articles" des paramètres de stock:

1. Définisser l'unité de mesure correspondant à une minute.
2. Définissez un calendrier de réservation par défaut.

![Section de réservation d'articles dans les paramètres de stock](/images/stocks/item_booking/item_booking_stock_settings.png)


#### Unité de mesure

Afin que le système soit capable de convertir les unités de mesure de vente en minutes pour calculer les créneaux disponibles, vous devez configurer un ou plusieurs facteurs de conversion d'unité de mesure.

Dans le type de document __Facteur de conversion de l'unité de mesure__, vérifiez que vous avez un facteur de conversion pour toutes vos unités de mesure de vente et de stock pour une minute:

|De        |Vers    |Valeur           |
|------------|------|----------------|
|UdM de vente|Minute|Minute/UdM de vente|

![Conversion du temps en minutes](/images/stocks/item_booking/time_conversion.png)

:::tip Exemple
Si vous prévoyez de vendre des créneaux à l'heure ou à la journée, assurez-vous d'avoir au moins ces deux facteurs de conversion:

|De|Vers    |Valeur|
|----|------|-----|
|Heure|Minute|60   |
|Jour |Minute|480  |

Veuillez noter qu'ici, 1 jour correspond à 480 minutes, car nous considérons que, d'un point de vue des ventes, nous vendons 8 heures par jour.
Vous pouvez, bien sûr, ajuster cette valeur en fonction de vos besoins métiers.
:::

#### Article

Pour pouvoir autoriser la réservation de créneaux horaires sur votre site web, vous devez d'abord afficher l'article sur votre site web: dans la section __Site web__, sélectionnez __Afficher sur le site web__.  
Activer cette option vous permettra aussi d'__Autoriser la réservation d'articles__.

Une fois activée, vos utilisateurs de site web auront le choix entre acheter des unités ou sélectionner un créneau:
![Options de réservation d'article sur le site web](/images/stocks/item_booking/item_website_options.png)

Si besoin, vous pouvez aussi écraser le calendrier par défaut des paramètres de stock en définissant un calendrier spécifique à l'article dans la section __Réservation d'articles__.
![Calendrier spécifique à l'article](/images/stocks/item_booking/item_default_calendar.png)

Si vous souhaitez autoriser la réservation avec différentes unités de mesure (jour, heure,...) ajoutez les dans le tableau des unités de mesure.
Notez que la conversion pour les réservations se fera selon les facteurs de conversions pour une minute définis ci-dessus.

### Réservation d'article

Vos utilisateurs de site web ont accès à un popup listant tous les créneaux disponibles.
Ils peuvent cliquer sur un créneau disponible et l'ajouter dans leur panier.


![Popup de réservation](/images/stocks/item_booking/item_booking_dialog.png)


Les réservations en brouillon (non validées) sont automatiquement supprimées toutes les 15 minutes pour les cas d'abandon de panier.